API ReferenceapiidentityGET /v1/users/me/addresses

GET /v1/users/me/addresses

Service: identity · operationId: (none)

List the current user’s saved addresses.

Required scopes

(no scope declared — review service config)

Responses

200 Addresses

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "line1": {
            "type": "string"
          },
          "line2": {
            "type": [
              "string",
              "null"
            ]
          },
          "city": {
            "type": "string"
          },
          "region": {
            "type": "string"
          },
          "postal_code": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "is_default": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "user_id",
          "label",
          "line1",
          "line2",
          "city",
          "region",
          "postal_code",
          "country",
          "is_default",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/users/me/addresses \
  -H "Authorization: Bearer $ACCESS_TOKEN"